GNU Radio's GSM Package: gr::gsm::burst_sdcch_subslot_filter_impl Class Reference

GNU Radio's GSM Package

Public Member Functions | List of all members
gr::gsm::burst_sdcch_subslot_filter_impl Class Reference

`#include <burst_sdcch_subslot_filter_impl.h>`

Inheritance diagram for gr::gsm::burst_sdcch_subslot_filter_impl:

## Public Member Functions
| burst_sdcch_subslot_filter_impl (subslot_filter_mode mode, unsigned int subslot)
| ~burst_sdcch_subslot_filter_impl ()
void | process_burst (pmt::pmt_t msg)
unsigned int | get_ss (void)
unsigned int | set_ss (unsigned int ss)
subslot_filter_mode | get_mode (void)
subslot_filter_mode | set_mode (subslot_filter_mode mode)
filter_policy | get_policy (void)
filter_policy | set_policy (filter_policy policy)

## Additional Inherited Members
Public Types inherited from gr::gsm::burst_sdcch_subslot_filter
typedef boost::shared_ptr< burst_sdcch_subslot_filter > | sptr
Static Public Member Functions inherited from gr::gsm::burst_sdcch_subslot_filter
static sptr | make (subslot_filter_mode mode, unsigned int subslot)
| Return a shared_ptr to a new instance of grgsm::burst_sdcch_subslot_filter. More...

## Constructor & Destructor Documentation

## ◆ burst_sdcch_subslot_filter_impl()

gr::gsm::burst_sdcch_subslot_filter_impl::burst_sdcch_subslot_filter_impl | ( | subslot_filter_mode | mode,
|  | unsigned int | subslot
| ) |  |

## ◆ ~burst_sdcch_subslot_filter_impl()

gr::gsm::burst_sdcch_subslot_filter_impl::~burst_sdcch_subslot_filter_impl | ( |  | ) |

## Member Function Documentation

## ◆ get_mode()

subslot_filter_mode gr::gsm::burst_sdcch_subslot_filter_impl::get_mode | ( | void |  | ) |
| virtual

Implements gr::gsm::burst_sdcch_subslot_filter.

## ◆ get_policy()

filter_policy gr::gsm::burst_sdcch_subslot_filter_impl::get_policy | ( | void |  | ) |
| virtual

Implements gr::gsm::burst_sdcch_subslot_filter.

## ◆ get_ss()

unsigned int gr::gsm::burst_sdcch_subslot_filter_impl::get_ss | ( | void |  | ) |
| virtual

Implements gr::gsm::burst_sdcch_subslot_filter.

## ◆ process_burst()

void gr::gsm::burst_sdcch_subslot_filter_impl::process_burst | ( | pmt::pmt_t | msg | ) |

## ◆ set_mode()

subslot_filter_mode gr::gsm::burst_sdcch_subslot_filter_impl::set_mode | ( | subslot_filter_mode | mode | ) |
| virtual

Implements gr::gsm::burst_sdcch_subslot_filter.

## ◆ set_policy()

filter_policy gr::gsm::burst_sdcch_subslot_filter_impl::set_policy | ( | filter_policy | policy | ) |
| virtual

Implements gr::gsm::burst_sdcch_subslot_filter.

## ◆ set_ss()

unsigned int gr::gsm::burst_sdcch_subslot_filter_impl::set_ss | ( | unsigned int | ss | ) |
| virtual

Implements gr::gsm::burst_sdcch_subslot_filter.

The documentation for this class was generated from the following file:

- burst_sdcch_subslot_filter_impl.h